Delete a payment link
curl --request DELETE \
--url https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Payment Links
Delete a payment link
Delete a specific payment link in your HubSpot account. This operation is irreversible and will remove the payment link identified by the provided ID. Use this endpoint to manage and clean up payment links that are no longer needed.
DELETE
/
commerce
/
payment-links
/
2026-09-beta
/
payment-links
/
{paymentLinkId}
Delete a payment link
Last modified on July 2, 2026
Was this page helpful?
⌘I